> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent templates

> List agent templates



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/agents/templates
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/agents/templates:
    get:
      tags:
        - Agents
      summary: List agent templates
      description: List agent templates
      operationId: listAgentTemplates
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            enum:
              - addTestCoverage
              - addTestCoverageFromJira
              - autoAgentsMdMaintainer
              - autoDocsMaintainer
              - commitOfTheDay
              - customerHealthMonitoringAgent
              - deadCodeCleanup
              - dependencySweepAgent
              - autoFixCi
              - autoFixSentryError
              - dailySlackChangelog
              - fixBugsReportedInSlack
              - enrichGithubIssue
              - enrichJiraIssue
              - enrichLinearIssue
              - hubspotCallTaskCoach
              - hubspotEmailTaskDrafter
              - hubspotTicketToLinearBug
              - prDescription
              - prReview
              - pagePerformanceReport
              - prioritizeSentry
              - productFaqAgent
              - productFinanceAgent
              - queryPerformanceReport
              - securityFixFromJira
              - securityScan
              - skillProgressionMap
              - slackChannelListener
              - slopCop
              - staleCodeComments
              - stalePullRequestNotifier
              - summarizeChangesDaily
              - triageNewJiraBug
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '25'
      responses:
        '200':
          description: List agent templates
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          enum:
                            - addTestCoverage
                            - addTestCoverageFromJira
                            - autoAgentsMdMaintainer
                            - autoDocsMaintainer
                            - commitOfTheDay
                            - customerHealthMonitoringAgent
                            - deadCodeCleanup
                            - dependencySweepAgent
                            - autoFixCi
                            - autoFixSentryError
                            - dailySlackChangelog
                            - fixBugsReportedInSlack
                            - enrichGithubIssue
                            - enrichJiraIssue
                            - enrichLinearIssue
                            - hubspotCallTaskCoach
                            - hubspotEmailTaskDrafter
                            - hubspotTicketToLinearBug
                            - prDescription
                            - prReview
                            - pagePerformanceReport
                            - prioritizeSentry
                            - productFaqAgent
                            - productFinanceAgent
                            - queryPerformanceReport
                            - securityFixFromJira
                            - securityScan
                            - skillProgressionMap
                            - slackChannelListener
                            - slopCop
                            - staleCodeComments
                            - stalePullRequestNotifier
                            - summarizeChangesDaily
                            - triageNewJiraBug
                        title:
                          type: string
                        description:
                          type: string
                        label:
                          type: string
                          enum:
                            - Code Review
                            - Productivity
                            - Documentation
                            - Reporting
                            - Monitoring
                            - Management
                        jsonContent:
                          type: object
                          additionalProperties:
                            $ref: '#/components/schemas/AgentJsonValue'
                          description: >-
                            Agent document JSON. This normally contains a TipTap
                            document rooted at { "type": "doc", "content": [...]
                            }; unknown and future nodes, marks, attributes, and
                            extensions are preserved.
                          example:
                            type: doc
                            content:
                              - type: paragraph
                                content:
                                  - type: text
                                    text: Review the latest changes.
                        connectedApps:
                          type: array
                          items:
                            type: string
                        artifactType:
                          type:
                            - string
                            - 'null'
                          enum:
                            - PullRequest
                            - ToolCall
                            - Plan
                            - Response
                            - File
                            - Service
                            - Source
                            - null
                        agent:
                          type: string
                        triggers:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              displayName:
                                type: string
                              integrationType:
                                type: string
                              filters:
                                type: object
                                additionalProperties:
                                  $ref: '#/components/schemas/AgentJsonValue'
                            required:
                              - name
                              - displayName
                              - integrationType
                            additionalProperties: false
                        schedules:
                          type: array
                          items:
                            type: string
                        requiredParams:
                          type: array
                          items:
                            type: string
                            const: repository
                      required:
                        - name
                        - title
                        - description
                        - label
                        - jsonContent
                        - connectedApps
                        - agent
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    enum:
                      - addTestCoverage
                      - addTestCoverageFromJira
                      - autoAgentsMdMaintainer
                      - autoDocsMaintainer
                      - commitOfTheDay
                      - customerHealthMonitoringAgent
                      - deadCodeCleanup
                      - dependencySweepAgent
                      - autoFixCi
                      - autoFixSentryError
                      - dailySlackChangelog
                      - fixBugsReportedInSlack
                      - enrichGithubIssue
                      - enrichJiraIssue
                      - enrichLinearIssue
                      - hubspotCallTaskCoach
                      - hubspotEmailTaskDrafter
                      - hubspotTicketToLinearBug
                      - prDescription
                      - prReview
                      - pagePerformanceReport
                      - prioritizeSentry
                      - productFaqAgent
                      - productFinanceAgent
                      - queryPerformanceReport
                      - securityFixFromJira
                      - securityScan
                      - skillProgressionMap
                      - slackChannelListener
                      - slopCop
                      - staleCodeComments
                      - stalePullRequestNotifier
                      - summarizeChangesDaily
                      - triageNewJiraBug
                      - null
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Agent operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    AgentJsonValue:
      anyOf:
        - type: 'null'
        - type: boolean
        - type: number
        - type: string
        - type: array
          items:
            $ref: '#/components/schemas/AgentJsonValue'
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/AgentJsonValue'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````